Name:           nodejs-mapnik-vector-tile
Version:        0.6.1
Release:        1%{?dist}
Summary:        Mapnik API for working with vector tiles

License:        BSD
URL:            https://github.com/mapbox/mapnik-vector-tile
Source0:        http://registry.npmjs.org/mapnik-vector-tile/-/mapnik-vector-tile-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  protobuf-compiler

BuildRequires:  mapnik-devel >= 2.2.0
BuildRequires:  boost-devel
BuildRequires:  cairo-devel
BuildRequires:  polyclipping-devel
BuildRequires:  libtiff-devel
BuildRequires:  libxml2-devel
BuildRequires:  libicu-devel
BuildRequires:	protobuf-lite-devel

%description
A high performance library for working with vector tiles from the
team at MapBox.

Provides C++ headers that support rendering geodata into vector tiles
and rendering vector tiles into images.


%prep
%setup -q -n package
rm -rf node_modules


%build
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}/%{nodejs_sitearch}/mapnik-vector-tile
cp -pr package.json proto src %{buildroot}/%{nodejs_sitearch}/mapnik-vector-tile
%nodejs_symlink_deps


%check
make %{?_smp_mflags} test


%files
%doc LICENSE README.md CHANGELOG.md
%{nodejs_sitearch}/mapnik-vector-tile


%changelog
* Mon Oct 27 2014 Tom Hughes <tom@compton.nu> - 0.6.1-1
- Update to 0.6.1 upstream release

* Wed Oct 22 2014 Tom Hughes <tom@compton.nu> - 0.6.0-1
- Update to 0.6.0 upstream release

* Thu Aug 14 2014 Tom Hughes <tom@compton.nu> - 0.5.2-1
- Update to 0.5.2 upstream release

* Sat Jun  7 2014 Tom Hughes <tom@compton.nu> - 0.5.1-1
- Update to 0.5.1 upstream release

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Tom Hughes <tom@compton.nu> - 0.5.0-3
- Include image_compositing header so node-mapnik compiles

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.5.0-2
- Rebuild for boost 1.55.0

* Fri May 23 2014 Tom Hughes <tom@compton.nu> - 0.5.0-1
- Update to 0.5.0 upstream release

* Fri Feb 28 2014 Tom Hughes <tom@compton.nu> - 0.4.2-1
- Update to 0.4.2 upstream release

* Tue Feb 25 2014 Tom Hughes <tom@compton.nu> - 0.4.1-1
- Update to 0.4.1 upstream release

* Wed Feb 19 2014 Tom Hughes <tom@compton.nu> - 0.4.0-1
- Update to 0.4.0 upstream release

* Tue Feb 18 2014 Tom Hughes <tom@compton.nu> - 0.3.7-1
- Update to 0.3.7 upstream release

* Wed Jan  8 2014 Tom Hughes <tom@compton.nu> - 0.3.4-1
- Update to 0.3.4 upstream release

* Wed Nov  6 2013 Tom Hughes <tom@compton.nu> - 0.3.3-1
- Update to 0.3.3 upstream release

* Sun Aug  4 2013 Tom Hughes <tom@compton.nu> - 0.3.2-1
- Update to 0.3.2 upstream release

* Tue Jul 30 2013 Petr Machata <pmachata@redhat.com> - 0.3.1-2
- Rebuild for boost 1.54.0

* Tue Jul 30 2013 Tom Hughes <tom@compton.nu> - 0.3.1-1
- Update to 0.3.1 upstream release

* Sun Jul 28 2013 Tom Hughes <tom@compton.nu> - 0.2.4-1
- Update to 0.2.4 upstream release

* Thu Jul 18 2013 Tom Hughes <tom@compton.nu> - 0.2.3-1
- Update to 0.2.3 upstream release
- Remove x86_64 restriction on tests

* Wed Jul 17 2013 Tom Hughes <tom@compton.nu> - 0.2.2-1
- Update to 0.2.2 upstream release
- Restrict tests to x86_64 for now

* Mon Jul 15 2013 Tom Hughes <tom@compton.nu> - 0.1.0-1
- Updated to 0.1.0 upstream release

* Thu Jul  4 2013 Tom Hughes <tom@compton.nu> - 0.0.6-1
- Initial build of 0.0.6
